Bug 472083 - Review Request: perl-boolean - Boolean support for Perl
Review Request: perl-boolean - Boolean support for Perl
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-18 11:52 EST by Iain Arnell
Modified: 2016-08-14 12:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 01:18:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cweyl: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2008-11-18 11:52:46 EST
Spec URL: http://iarnell.fedorapeople.org/perl-boolean.spec
SRPM URL: http://iarnell.fedorapeople.org/perl-boolean-0.20-1.fc9.src.rpm
Description: Most programming languages have a native Boolean data type. Perl does not.

This is one of several requirements for perl-Catalyst-Controller-HTML-FormFu.
Comment 1 Chris Weyl 2008-11-18 22:25:23 EST
Koji build fails due to missing br on perl(Test::More).

https://koji.fedoraproject.org/koji/taskinfo?taskID=938137
Comment 2 Iain Arnell 2008-11-19 00:00:16 EST
Sorry - must remember to always build with mock first.

New SRPM URL: http://iarnell.fedorapeople.org/perl-boolean-0.20-2.fc9.src.rpm
Comment 3 Chris Weyl 2008-11-19 23:10:43 EST
Looks good.

https://koji.fedoraproject.org/koji/taskinfo?taskID=940203

Spec looks sane, clean and consistent; license is correct (perl); make test
passes cleanly.

Source tarball matches upstream:
a9dcfaa89e6b3ee52e0bb6e2d6b6c438  boolean-0.20.tar.gz
a9dcfaa89e6b3ee52e0bb6e2d6b6c438  boolean-0.20.tar.gz.srpm

=====> perl-boolean-0.20-2.fc9.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-boolean-0.20-2.fc9.noarch.rpm
perl(boolean) = 0.20
perl-boolean = 0.20-2.fc9
====> requires for perl-boolean-0.20-2.fc9.noarch.rpm
perl >= 0:5.005003
perl(:MODULE_COMPAT_5.10.0)  
perl(base)  
perl(strict)  

APPROVED
Comment 4 Iain Arnell 2008-11-19 23:55:42 EST
New Package CVS Request
=======================
Package Name: perl-boolean
Short Description: Boolean support for Perl
Owners: iarnell
Branches: F-9 F-10
InitialCC: perl-sig
Comment 5 Kevin Fenzi 2008-11-22 23:05:03 EST
cvs done.
Comment 6 Fedora Update System 2008-11-23 02:19:21 EST
perl-boolean-0.20-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-boolean-0.20-2.fc10
Comment 7 Fedora Update System 2008-11-23 02:19:24 EST
perl-boolean-0.20-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-boolean-0.20-2.fc9
Comment 8 Fedora Update System 2008-11-26 01:18:01 EST
perl-boolean-0.20-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-11-26 01:24:35 EST
perl-boolean-0.20-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Ken Dreyer 2013-01-31 17:04:50 EST
Package Change Request
======================
Package Name: perl-boolean
New Branches: el6
Owners: ktdreyer iarnell
Comment 11 Gwyn Ciesla 2013-02-01 08:43:14 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.